#version 440 core

layout(location=0) in vec2 position;

uniform vec3 cam_dir_ll;
uniform vec3 cam_dir_right;
uniform vec3 cam_dir_up;

out vec3 vf_direction;

void main(void)
{
	gl_Position = vec4(position*2-1, 1.0, 1.0);
	vf_direction = cam_dir_ll + cam_dir_right * position.x + cam_dir_up * position.y;
}