#pragma once

#include <string>
#include <vector>

class Images
{
public:
	static void loadPNG(const std::string& path, std::vector<unsigned char>& data, unsigned int& width, unsigned int& height);
	static void savePNG(const std::string& path, std::vector<unsigned char>& data, unsigned int width, unsigned int height, unsigned int num_channels = 4);

private:
	static void swapVertical(std::vector<unsigned char>& data, unsigned int width, unsigned int height, unsigned int num_channels = 4);

};