#pragma once

#include <memory>
#include "GLBuffer.h"
#include "GLProgram.h"
#include "GLVertexArray.h"
#include "GLTexture.h"
#include "GLFramebuffer.h"

using ufBuffer = std::unique_ptr<GLBuffer<float>>;
using uuBuffer = std::unique_ptr<GLBuffer<unsigned int>>;
using uProgram = std::unique_ptr<GLProgram>;
using uVertexArray = std::unique_ptr<GLVertexArray>;
using uTexture2D = std::unique_ptr<GLTexture2D>;
using uTexture1D = std::unique_ptr<GLTexture1D>;
using uFramebuffer = std::unique_ptr<rgl::GLFramebuffer>;
using uCubemap = std::unique_ptr<GLTextureCubemap>;