#pragma once

#include <nanogui\nanogui.h>

class WaveQuad
{
public:
	WaveQuad();
	WaveQuad(const Eigen::Vector2f& position);

	void update(double dt);
	const Eigen::Vector2f& getPosition() const { return position; }
	double getTime() const { return t_star; }
	bool isFinished() const;

private:
	double t_star;
	Eigen::Vector2f position;

	static const double t_star_max;
};